Subject: Re: linux-next: manual merge of the tip tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Fri, 22 Jun 2018 14:06:01 +0100

On Fri, Jun 22, 2018 at 01:45:23PM +0100, David Howells wrote:
> Reinette Chatre <[email-masked]> wrote:
> 
> > Thomas and David, please let me know what I can do from my side to help
> > with this.
> 
> You could try basing on Al Viro's for-next tree which has the mount API
> changes in it.

Umm...  That would be a massive headache for everyone involved; the changes
in there have very little in common with what you are doing in rdt_mount(),
so it might make sense to start with a minimal never-rebased branch that
would
	* define rdt_pseudo_lock_init as 0
	* define rdt_pseudo_lock_release as empty
	* do the rdt_mount() part of a3dbd01e6c9d
	* have commit message along the lines of
"hooks in rdt_mount() for rdt_pseudo_lock to use

Functionally a no-op right now; the only reason for having that
as a never-rebased branch to get rdt_pseudo_lock and mount series
out of each other's hair"

Base that on -rc1, then pull it into your rdt branch and David could pull the
same into his.